package com.steering.message.model;


/**
 * 数据库表APP_MESSAGE_USER所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2019-12-17
 */
public class AppMessageUserEntity implements java.io.Serializable {
    /**
     * 消息编号
     */
    private String messageNo = "";
    /**
     * 目标对象ID(系统用户ID)
     */
    private String targetUserid = "";
    /**
     * 目标对象
     */
    private String targetName = "";
    /**
     * 阅读时间时间
     */
    private String readTime = "";
    /**
     * 数据状态(00未阅10已阅 20删除)
     */
    private String validflag = "";
    /**
     * 目标对象头像
     */
    private String targetLogo = "";
    /**
     * 目标对应节点
     */
    private String userNode = "";

    /**
     * 消息编号
     * @return value
     */
    public String getMessageNo() {
        return messageNo;
    }

    /**
     * 消息编号
     * @param messageNo value
     */
    public void setMessageNo(String messageNo) {
        this.messageNo = messageNo;
    }

    /**
     * 目标对象ID(系统用户ID)
     * @return value
     */
    public String getTargetUserid() {
        return targetUserid;
    }

    /**
     * 目标对象ID(系统用户ID)
     * @param targetUserid value
     */
    public void setTargetUserid(String targetUserid) {
        this.targetUserid = targetUserid;
    }

    /**
     * 目标对象
     * @return value
     */
    public String getTargetName() {
        return targetName;
    }

    /**
     * 目标对象
     * @param targetName value
     */
    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    /**
     * 阅读时间时间
     * @return value
     */
    public String getReadTime() {
        return readTime;
    }

    /**
     * 阅读时间时间
     * @param readTime value
     */
    public void setReadTime(String readTime) {
        this.readTime = readTime;
    }

    /**
     * 数据状态(00未阅10已阅 20删除)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 数据状态(00未阅10已阅 20删除)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 目标对象头像
     * @return value
     */
    public String getTargetLogo() {
        return targetLogo;
    }

    /**
     * 目标对象头像
     * @param targetLogo value
     */
    public void setTargetLogo(String targetLogo) {
        this.targetLogo = targetLogo;
    }

    /**
     * 目标对应节点
     * @return value
     */
    public String getUserNode() {
        return userNode;
    }

    /**
     * 目标对应节点
     * @param userNode value
     */
    public void setUserNode(String userNode) {
        this.userNode = userNode;
    }
}